Looped video chat meet & greets require using the Looped mobile app.

The Looped app is only available on mobile phones that meet the following minimum requirements:

  • iOS 11 or higher
  • Android Oreo 8 and above

Looped livestreams are available on any web browser, including Firefox and Chrome.

Did this answer your question?